FROM openshift/golang-builder:1.11 AS builder
ENV SOURCE_GIT_COMMIT=d102948ed64848d63ddd16b6cff5faf7e823fdaa SOURCE_DATE_EPOCH=1565701574 BUILD_VERSION=v4.2.5 SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher SOURCE_GIT_TAG=v0.4.0-188-gd102948 BUILD_RELEASE=201911121709
WORKDIR /go/src/github.com/kubernetes-csi/external-attacher
COPY . .
RUN make build

FROM openshift/ose-base:v4.2.5.20191112.170937
ENV SOURCE_GIT_COMMIT=d102948ed64848d63ddd16b6cff5faf7e823fdaa SOURCE_DATE_EPOCH=1565701574 BUILD_VERSION=v4.2.5 SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher SOURCE_GIT_TAG=v0.4.0-188-gd102948 BUILD_RELEASE=201911121709
COPY --from=builder /go/src/github.com/kubernetes-csi/external-attacher/bin/csi-attacher /usr/bin/
ENTRYPOINT ["/usr/bin/csi-attacher"]

LABEL \
        io.k8s.description="External attacher for CSI volumes" \
        com.redhat.component="csi-attacher-container" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-attacher" \
        License="ASL 2.0" \
        io.k8s.display-name="External attacher for CSI volumes" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-attacher" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-attacher/commit/d102948ed64848d63ddd16b6cff5faf7e823fdaa" \
        version="v4.2.5" \
        io.openshift.build.commit.id="d102948ed64848d63ddd16b6cff5faf7e823fdaa" \
        release="201911121709" \
        io.openshift.tags="csi,storage,attacher"

